Bug 980501 - [abrt] gdb-7.5.1-38.fc18: delete_breakpoint: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.5.1-38.fc18: delete_breakpoint: Process /usr/bin/gdb was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:b824ee9d283d487bda0c5f420e6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 10:22 EDT by Maxim Egorushkin
Modified: 2014-02-05 17:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.46 KB, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: cgroup (126 bytes, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: core_backtrace (4.45 KB, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: dso_list (3.39 KB, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: environ (1.82 KB, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: maps (19.88 KB, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: open_fds (946 bytes, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details
File: var_log_messages (306 bytes, text/plain)
2013-07-02 10:22 EDT, Maxim Egorushkin
no flags Details

  None (edit)
Description Maxim Egorushkin 2013-07-02 10:22:06 EDT
Description of problem:
I was stepping through a function with the following declaration:

    template<class Functor>
    std::vector<Bar> do_replay_trth(
          std::string const& symbol
        , TimeZone const& tz
        , char const* file
        , Functor functor
        );

where Functor was:

    struct NullFunctor
    {
        template<class T>
        void operator()(T) {}
    };

In do_replay_trth<NullFunctor> I stepped into

    functor(quote);

Which caused gdb to start misbehaving:

(gdb) s  <---- into "functor(quote);"
(gdb) 
Warning:
Cannot insert breakpoint 0.
Error accessing memory address 0x0: Input/output error.

(gdb) 
Cannot find bounds of current function
(gdb) 
(gdb) up
#1  0x0000000000000000 in ?? ()
(gdb) 
Initial frame selected; you cannot go up.
(gdb) down
#0  0x0000000000000000 in ?? ()
(gdb) 
Bottom (innermost) frame selected; you cannot go down.
(gdb) q

Debugger segmentation fault (core dumped)

Version-Release number of selected component:
gdb-7.5.1-38.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/gdb -i=mi /home/max/otsquant/build/Linux-x86_64-64.g++-debug/bin/trth_to_bars
crash_function: delete_breakpoint
executable:     /usr/bin/gdb
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 delete_breakpoint at ../../gdb/breakpoint.c:13461
 #1 finish_command_continuation at ../../gdb/infcmd.c:1598
 #2 do_my_continuations_1 at ../../gdb/continuations.c:59
 #3 do_my_continuations at ../../gdb/continuations.c:83
 #4 do_all_continuations_ptid at ../../gdb/continuations.c:193
 #5 do_all_continuations_thread_callback at ../../gdb/continuations.c:204
 #6 do_all_continuations_thread at ../../gdb/continuations.c:213
 #7 clear_thread_inferior_resources at ../../gdb/thread.c:121
 #8 delete_thread_1 at ../../gdb/thread.c:294
 #9 delete_thread at ../../gdb/thread.c:311

Potential duplicate: bug 875000
Comment 1 Maxim Egorushkin 2013-07-02 10:22:10 EDT
Created attachment 767777 [details]
File: backtrace
Comment 2 Maxim Egorushkin 2013-07-02 10:22:14 EDT
Created attachment 767778 [details]
File: cgroup
Comment 3 Maxim Egorushkin 2013-07-02 10:22:17 EDT
Created attachment 767779 [details]
File: core_backtrace
Comment 4 Maxim Egorushkin 2013-07-02 10:22:23 EDT
Created attachment 767780 [details]
File: dso_list
Comment 5 Maxim Egorushkin 2013-07-02 10:22:27 EDT
Created attachment 767781 [details]
File: environ
Comment 6 Maxim Egorushkin 2013-07-02 10:22:31 EDT
Created attachment 767782 [details]
File: limits
Comment 7 Maxim Egorushkin 2013-07-02 10:22:36 EDT
Created attachment 767783 [details]
File: maps
Comment 8 Maxim Egorushkin 2013-07-02 10:22:40 EDT
Created attachment 767784 [details]
File: open_fds
Comment 9 Maxim Egorushkin 2013-07-02 10:22:43 EDT
Created attachment 767785 [details]
File: proc_pid_status
Comment 10 Maxim Egorushkin 2013-07-02 10:22:47 EDT
Created attachment 767786 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:13:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:02:46 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.